package com.xtd.project.hkmanager.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class Alarm {
    private String guid;

    private String fkOrgGuid;

    @ApiModelProperty(value = "所属区域ID",example = "所属区域ID")
    private String fkRegionId;

    @ApiModelProperty(value = "区域名称",example = "区域名称")
    private String regionName;

    @ApiModelProperty(value = "编码设备id",example = "编码设备id")
    private String fkEncodeId;

    @ApiModelProperty(value = "设备ID",example = "设备ID")
    private String fkDeviceId;

    @ApiModelProperty(value = "设备名称",example = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "事件规则id",example = "事件规则id")
    private String eventRuleId;

    @ApiModelProperty(value = "事件类型id",example = "事件类型id")
    private Integer eventTypeId;

    @ApiModelProperty(value = "事件类型名称",example = "事件类型名称")
    private String eventTypeName;

    @ApiModelProperty(value = "报警名称",example = "报警名称")
    private String alarmName;

    @ApiModelProperty(value = "报警时间",example = "报警时间")
    private Date alarmTime;

    @ApiModelProperty(value = "报警等级",example = "报警等级")
    private String alarmLevel;

    @ApiModelProperty(value = "报警状态  0:正常  1:故障 2:误报 3:屏蔽",example = "报警状态  0:正常  1:故障 2:误报 3:屏蔽")
    private Integer alarmStatus;

    @ApiModelProperty(value = "屏蔽时间",example = "屏蔽时间")
    private Integer shieldTime;

    @ApiModelProperty(value = "报警图片地址",example = "报警图片地址")
    private String imageUrl;

    @ApiModelProperty(value = "图片存储服务器唯一标识",example = "图片存储服务器唯一标识")
    private String imageServerCode;

    @ApiModelProperty(value = "录像开始时间",example = "录像开始时间")
    private Date recvStartTime;

    @ApiModelProperty(value = "录像结束时间",example = "录像结束时间")
    private Date recvEndTime;

    @ApiModelProperty(value = "处理状态（0：未处理  1：已处理）",example = "处理状态（0：未处理  1：已处理）")
    private Integer handleStatus;

    private String remark;

    private Integer state;

    private String createUser;

    private Date createTime;

    private String modifiedUser;

    private Date modifiedTime;

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid == null ? null : guid.trim();
    }

    public String getFkOrgGuid() {
        return fkOrgGuid;
    }

    public void setFkOrgGuid(String fkOrgGuid) {
        this.fkOrgGuid = fkOrgGuid == null ? null : fkOrgGuid.trim();
    }

    public String getFkRegionId() {
        return fkRegionId;
    }

    public void setFkRegionId(String fkRegionId) {
        this.fkRegionId = fkRegionId == null ? null : fkRegionId.trim();
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName == null ? null : regionName.trim();
    }

    public String getFkEncodeId() {
        return fkEncodeId;
    }

    public void setFkEncodeId(String fkEncodeId) {
        this.fkEncodeId = fkEncodeId;
    }

    public String getFkDeviceId() {
        return fkDeviceId;
    }

    public void setFkDeviceId(String fkDeviceId) {
        this.fkDeviceId = fkDeviceId == null ? null : fkDeviceId.trim();
    }

    public String getDeviceName() {
        return deviceName;
    }

    public String getEventRuleId() {
        return eventRuleId;
    }

    public void setEventRuleId(String eventRuleId) {
        this.eventRuleId = eventRuleId;
    }

    public Integer getEventTypeId() {
        return eventTypeId;
    }

    public void setEventTypeId(Integer eventTypeId) {
        this.eventTypeId = eventTypeId;
    }

    public String getEventTypeName() {
        return eventTypeName;
    }

    public void setEventTypeName(String eventTypeName) {
        this.eventTypeName = eventTypeName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    public String getAlarmName() {
        return alarmName;
    }

    public void setAlarmName(String alarmName) {
        this.alarmName = alarmName;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }

    public String getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmLevel(String alarmLevel) {
        this.alarmLevel = alarmLevel == null ? null : alarmLevel.trim();
    }

    public Integer getHandleStatus() {
        return handleStatus;
    }

    public void setHandleStatus(Integer handleStatus) {
        this.handleStatus = handleStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModifiedUser() {
        return modifiedUser;
    }

    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }

    public Date getModifiedTime() {
        return modifiedTime;
    }

    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getImageServerCode() {
        return imageServerCode;
    }

    public void setImageServerCode(String imageServerCode) {
        this.imageServerCode = imageServerCode;
    }

    public Date getRecvStartTime() {
        return recvStartTime;
    }

    public void setRecvStartTime(Date recvStartTime) {
        this.recvStartTime = recvStartTime;
    }

    public Date getRecvEndTime() {
        return recvEndTime;
    }

    public void setRecvEndTime(Date recvEndTime) {
        this.recvEndTime = recvEndTime;
    }

    public Integer getAlarmStatus() {
        return alarmStatus;
    }

    public void setAlarmStatus(Integer alarmStatus) {
        this.alarmStatus = alarmStatus;
    }
}